/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#include "ebi_word.h"
#include "ebi_page.h"

__EBI_BEGIN_NAMESPACE

Word::Word ()
{
}

Word::~Word ()
{
}

void Word::updateLayout (PNT* pos, W max)
{
  if (max > 0 && pos->x + m_width >= max)
    {
      pos->x = 0;
      ++pos->y;
    }

  Container::updateLayout (pos, max);
}

__EBI_END_NAMESPACE


