/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Copyright (c) 2001  HASEGAWA Masafumi
 */

#ifndef __EBI_CONFIG_H
#define __EBI_CONFIG_H

#define __EBI_BEGIN_NAMESPACE namespace ebi {
#define __EBI_END_NAMESPACE }

#include <basic.h>
#include <bstdlib.h>
#include <bstring.h>
#include <bstdio.h>
#include <tcode.h>
#include <tctype.h>
#include <tstring.h>
#include <keycode.h>
#include <errcode.h>
#include <libimg.h>

#include <btron/btron.h>
#include <btron/dp.h>
#include <btron/vobj.h>
#include <btron/hmi.h>
#include <btron/tip.h>
#include <btron/libapp.h>

#include <device/sound.h>

#include <algorithm>
#include <numeric>
#include <list>
#include <map>
#include <stack>
#include <vector>
#include <string>

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <memory.h>
#include <sys/stat.h>

#include <eb/eb.h>
#include <eb/appendix.h>
#include <eb/text.h>
#include <eb/font.h>
#include <eb/binary.h>
#include <eb/error.h>

#endif /* __EBI_CONFIG_H */
